Permissão para grupos
curl --request POST \
--url https://api.ezapi.com.br/instances/{instanceId}/token/{instanceToken}/privacy/group-add \
--header 'Client-Token: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "CONTACT_BLACKLIST",
"contactsBlacklist": [
{
"action": "add",
"phone": "{{PHONE}}"
},
{
"action": "remove",
"phone": "{{PHONE}}"
}
]
}
'import requests
url = "https://api.ezapi.com.br/instances/{instanceId}/token/{instanceToken}/privacy/group-add"
payload = {
"type": "CONTACT_BLACKLIST",
"contactsBlacklist": [
{
"action": "add",
"phone": "{{PHONE}}"
},
{
"action": "remove",
"phone": "{{PHONE}}"
}
]
}
headers = {
"Client-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Client-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'CONTACT_BLACKLIST',
contactsBlacklist: [{action: 'add', phone: '{{PHONE}}'}, {action: 'remove', phone: '{{PHONE}}'}]
})
};
fetch('https://api.ezapi.com.br/instances/{instanceId}/token/{instanceToken}/privacy/group-add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": "Unauthorized",
"message": "Invalid instanceToken"
}{
"error": "Instance not found"
}{
"error": "Worker command timeout"
}{
"error": "Unable to process request"
}Privacidade
Permissão para grupos
Define quem pode adicionar o número em grupos.
POST
/
instances
/
{instanceId}
/
token
/
{instanceToken}
/
privacy
/
group-add
Permissão para grupos
Define quem pode adicionar o número em grupos.
Aliases consolidados da collection:
Permissão para adicionar em grupos.Authorizations
Path Parameters
Identificador único da instância.
Example:
"abc1234567890"
Token privado da instância retornado na criação.
Example:
"tok_a1b2c3d4e5f6"
Body
application/json
Response
Resposta de sucesso.
Example:
true
⌘I

